QGIS Application - Bug report #414
layer's list width is not saved in the project
2006-12-01 02:43 AM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Gavin Macaulay -
Category: GUI

Affected QGIS version:
Operating System: Debian
Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 10473

Description

Layer's list width is not saved in the project. Thus at each QGIS run, no matter what project is loaded, the Map View defaults to the same
dimensions, not to the dimensions the user as the user specified before saving the project

As the print composition depends on the Map View dimensions, this results in the user not being able to reproduce his map composition

between 2 subsequent QGIS runs using the same project.

To reproduce:

1. add some layer

2. adjust the layer's list width for the Map View->Print Composer as you need

3. add the layer into the print composition

4. save the project

5. quit QGIS

6. start QGIS

7. open the project (note the layer's width does not reflect the width you set up in step 2)

8. enter print composer

9. remove the layer, add the layer - you can see the print composition is different than it was in step 3

A note regarding step 2 - refreshing the display when resizing layer's list is very slow, much slower than eg. zooming or panning in the

Map View; | don't recall it was that slow before QT 4.2; fixable?

Maciek

History

#1 - 2006-12-06 01:13 PM - Martin Dobias

Replying to tutey@02.pl:

Layer's list width is not saved in the project. Thus at each QGIS run, no matter what project is loaded, the Map View defaults to the same

dimensions, not to the dimensions the user as the user specified before saving the project
You mean the list of layers on the left side of QGIS window, right? (We usually refer to it as 'legend’) Saving its width (or map view's size) is IMHO not a
good idea. But saving legend's width in QGIS settings makes sense for me.

(steps)

Maybe | did something a bit differently, but | couldn't find a problem here - how has the composition changed in the last step? Map composer saves its
extent in project file so it should be the same.

A note regarding step 2 - refreshing the display when resizing layer's list is very slow, much slower than eg. zooming or panning in the Map View; |
don't recall it was that slow before QT 4.2; fixable?

For me the time for map canvas refresh is the same as for panning or zooming and | don't see any reason why should it be slower. How much slower is it

for you?

Martin

#2 - 2006-12-06 02:23 PM - anonymous -
Replying to [comment:1 wonder]:

| Replying to tutey@o2.pl:

| You mean the list of layers on the left side of QGIS window, right?

Layer's list width is not saved in the project. Thus at each QGIS run, no matter what project is loaded, the Map View defaults to the same
dimensions, not to the dimensions the user as the user specified before saving the project

Correct.

(We usually refer to it as ‘legend’)

Legend is a different thing. Layers list or something like that fits better in this case IMO.

Saving its width (or map view's size) is IMHO not a good idea.

Why?

But saving legend's width in QGIS settings makes sense for me.

Would that allow for the layers list width vary from project to project?

(steps)
Maybe | did something a bit differently, but | couldn't find a problem here - how has the composition changed in the last step? Map composer saves

its extent in project file so it should be the same.

Depending on the map view extent, the same map added in the same way in the print composer will yield a diffrent picture. Since the layers list width (thus
map view extent) is not preserved when closing QGIS and reopening a previously saved project, the picture in print composer will be different. See the
attached images for steps 2,3,7,9.

A note regarding step 2 - refreshing the display when resizing layer's list is very slow, much slower than eg. zooming or panning in the Map View; |

don't recall it was that slow before QT 4.2; fixable?

For me the time for map canvas refresh is the same as for panning or zooming and | don't see any reason why should it be slower.

Indeed. Looks like the problem is that the picture is being refereshed too often when adjusting the layers list width. It should wait until | stop moving my

mouse, not try to refresh the picture multiple times - while I'm still moving it.

Maciek

#3 - 2006-12-06 03:40 PM - Gavin Macaulay -
I'm part way through adding in the saving of the legend widget widget to the qgis settings.
The other problem when dragging the separator is a bit more problematic. For maps that are quick to draw, things work well now, with the map resizing and

redrawing continuously - makes for nice interactive feedback. However, when the map takes a long time to draw, the resizing of the legend is slow and
jerky. I'll have a look at what could be done there too.

#4 - 2006-12-07 12:41 AM - Gavin Macaulay -
- Resolution set to fixed
- Status changed from Open to Closed

Fixed in commit:bcc3e824 (SVN r6199). There's now also a toggle to control whether ggis redraws the map when the legend is resized.

#5 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted

Files

print_layerlist.tar.bz2 223 KB 2006-12-06 Redmine Admin
